com.informix.util

## Class AdvancedProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - com.informix.util.AdvancedProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

Direct Known Subclasses:
  AdvancedUppercaseProperties

    public class AdvancedProperties
    extends java.util.Properties

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `FALSE`
`static java.lang.String` `TRUE`

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
Constructor and Description
`AdvancedProperties()`
`AdvancedProperties(java.io.File fileLocation)`
`AdvancedProperties(java.io.File fileLocation, java.util.Properties prop)`
`AdvancedProperties(java.util.Properties prop)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `asBool(java.lang.String key)`
`boolean` `asBool(java.lang.String key, boolean defaultValue)`
`boolean` `asBool(java.lang.String key, java.lang.String defaultValue)`
`double` `asDouble(java.lang.String key)`
`int` `asInt(java.lang.String key)`
`int` `asInt(java.lang.String key, java.lang.String defaultValue)`
`java.lang.String` `asString(java.lang.String key, java.lang.String defaultValue)`
`static AdvancedProperties` `convertArrayToProperties(AdvancedProperties properties, java.lang.String[] items)`
`static AdvancedProperties` `convertArrayToProperties(java.lang.String[] items)`
`java.lang.String` `getProperty(java.lang.String key)`
`java.lang.String` `getProperty(java.lang.String key, java.lang.String defaultValue)`

### Methods inherited from class java.util.Properties

`list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TRUE

    public static final java.lang.String TRUE

See Also:
  Constant Field Values

#### FALSE

    public static final java.lang.String FALSE

See Also:
  Constant Field Values

### Constructor Detail

#### AdvancedProperties

    public AdvancedProperties()

#### AdvancedProperties

    public AdvancedProperties(java.io.File fileLocation)
                       throws java.io.FileNotFoundException,
                              java.io.IOException

Throws:
  `java.io.FileNotFoundException`
  `java.io.IOException`

#### AdvancedProperties

    public AdvancedProperties(java.io.File fileLocation,
                              java.util.Properties prop)
                       throws java.io.FileNotFoundException,
                              java.io.IOException

Throws:
  `java.io.FileNotFoundException`
  `java.io.IOException`

#### AdvancedProperties

    public AdvancedProperties(java.util.Properties prop)

### Method Detail

#### convertArrayToProperties

    public static AdvancedProperties convertArrayToProperties(java.lang.String[] items)

#### convertArrayToProperties

    public static AdvancedProperties convertArrayToProperties(AdvancedProperties properties,
                                                              java.lang.String[] items)

#### asInt

    public int asInt(java.lang.String key)

#### asInt

    public int asInt(java.lang.String key,
                     java.lang.String defaultValue)

#### asString

    public java.lang.String asString(java.lang.String key,
                                     java.lang.String defaultValue)

#### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        java.lang.String defaultValue)

Overrides:
  `getProperty` in class `java.util.Properties`

#### getProperty

    public java.lang.String getProperty(java.lang.String key)

Overrides:
  `getProperty` in class `java.util.Properties`

#### asBool

    public boolean asBool(java.lang.String key)

#### asBool

    public boolean asBool(java.lang.String key,
                          java.lang.String defaultValue)

#### asBool

    public boolean asBool(java.lang.String key,
                          boolean defaultValue)

#### asDouble

    public double asDouble(java.lang.String key)